List Refunds
curl --request GET \
--url https://api-staging.eximpe.com/pg/refunds \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://api-staging.eximpe.com/pg/refunds"
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Client-ID': '<api-key>', 'X-Client-Secret': '<api-key>'}
};
fetch('https://api-staging.eximpe.com/pg/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 4,
"page": 1,
"page_size": 250,
"next": null,
"previous": null,
"results": [
{
"refund_id": "RF8380989720",
"refund_amount": 11,
"refund_status": "INITIATED",
"refunded_at": null,
"message": "Refund Request Queued",
"payment_id": "PR8867819681"
},
{
"refund_id": "RF8370660295",
"refund_amount": 12,
"refund_status": "INITIATED",
"refunded_at": null,
"message": "No action status found",
"payment_id": "PR3828502708"
}
]
}Refund
List Refunds
Retrieve a list of refunds with optional filtering.
GET
/
pg
/
refunds
List Refunds
Authorizations
Client app ID. You can find your app id in the merchant dashboard.
Client secret key. You can find your secret in the merchant dashboard.
Query Parameters
Filter by payment ID.
Filter by order reference ID.
Filter refunds created from this date. Format: YYYY-MM-DD.
Filter refunds created up to this date. Format: YYYY-MM-DD.
Filter refunds by merchant ID.
Response
200 - application/json
A paginated list of refunds.
Total number of refunds
Current page number
Number of refunds per page
URL for the next page of results
URL for the previous page of results
Show child attributes
Show child attributes